View Issue Details

IDProjectCategoryView StatusLast Update
0001586Far ManagerDialogpublic2011-09-13 09:58
ReporterMaximusAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001586: Проблема использования CtrlAltF в Выпадающем списке диалога
DescriptionВешаем на CtrlDown для диалогов макрос
CtrlDown CtrlAltF
Проверям. Открываем диалог редактирования макроса из "Macro list" (чтобы далеко не ходить).
Перходим в поле "Work area", жмем CtrlDown.
Получаем ожидаемое - список открывается в режиме фильтра, вводим "edit", список фильтруется, Enter.
Жмем опять CtrlDown - получем глюк.
* высота выпавшего списка - 1(!) строка
* в заголовке списка отсутствует "[]" (признак фильтра), т.е. фильтр не
* список прокручивается кнопками Up/Down, но полосы прокрутки нет (места не хватило?).

И все это из-за того, что:
* DropDown остается в режиме фильтра после Enter,
* не корректирует свой размер после отключения фильтра CtrlAltF или при убирании текст фильтра по BS.
TagsNo tags attached.
Build0

Relationships

related to 0001788 closedvskirdin Wishes Сделать удобным использование быстрого фильтра в списках (CtrlAltF) 

Activities

JohnDoe

2010-11-11 02:29

updater   bugnote:0005957

Про макросы вы зря упоминаете, ведь всё точно также и без них...

Другие проблемы фильтрации списка комбобокса: 0001583

vskirdin

2011-09-12 14:49

administrator   bugnote:0007662

чей-то не повторяется...
актуально еще?

JohnDoe

2011-09-12 16:04

updater   bugnote:0007663

Last edited: 2011-09-12 16:12

View 3 revisions

В тройке вроде бы неактуально.

P.S.
Впрочем я поторопился, надо ведь проверить с плагином (собранного плагина у меня нет)

JohnDoe

2011-09-12 16:47

updater   bugnote:0007666

Хотя в плагине обычный комбобокс, просмотрел связанные тикеты - там всё нормализовалось

P.S.
При закрытии комбобокса фильтр сохраняется, и при повторном открытии комбобокса действует.
Фича, мне вроде бы не мешает, но надо учитывать при написании макросов типа того что в описании тикета.

vskirdin

2011-09-12 17:50

administrator   bugnote:0007671

закрываем?

Maximus

2011-09-13 01:03

reporter   bugnote:0007688

закрывай. меня - макросы устраивают

Issue History

Date Modified Username Field Change
2010-11-10 14:51 Maximus New Issue
2010-11-11 02:29 JohnDoe Note Added: 0005957
2011-06-05 22:34 alexy Relationship added related to 0001794
2011-06-05 23:33 alexy Relationship added related to 0001788
2011-06-05 23:34 alexy Relationship deleted related to 0001794
2011-09-12 14:49 vskirdin Note Added: 0007662
2011-09-12 16:04 JohnDoe Note Added: 0007663
2011-09-12 16:06 JohnDoe Note Edited: 0007663 View Revisions
2011-09-12 16:12 JohnDoe Note Edited: 0007663 View Revisions
2011-09-12 16:47 JohnDoe Note Added: 0007666
2011-09-12 17:50 vskirdin Note Added: 0007671
2011-09-13 01:03 Maximus Note Added: 0007688
2011-09-13 09:58 vskirdin Build => 0
2011-09-13 09:58 vskirdin Status new => closed
2011-09-13 09:58 vskirdin Assigned To => vskirdin
2011-09-13 09:58 vskirdin Resolution open => fixed
2011-09-13 09:58 vskirdin Fixed in Version => 3.0